{
  ...
}:
let 
  nixflake_dir = "$HOME/files/nixconfig";
in {
  programs.zsh = {
    enable = true;
    shellAliases = {
      "devsh" = "nix develop ${nixflake_dir} -c zsh";
      "nixupdt" = "cd ${nixflake_dir} && nix flake update";
      "nixbuild" = "cd ${nixflake_dir} && sudo nixos-rebuild switch --flake ./ ";
      "nixgc" = "nix-collect-garbage -d";
    };
  };
}
